## org.jfree.data.category
Interface CategoryDataset

All Superinterfaces:
  Dataset, KeyedValues2D, Values2D

All Known Subinterfaces:
  BoxAndWhiskerCategoryDataset, GanttCategoryDataset, IntervalCategoryDataset, KeyedValues2DDataset, MultiValueCategoryDataset, StatisticalCategoryDataset

All Known Implementing Classes:
  DefaultBoxAndWhiskerCategoryDataset, DefaultCategoryDataset, DefaultIntervalCategoryDataset, DefaultKeyedValues2DDataset, DefaultMultiValueCategoryDataset, DefaultStatisticalCategoryDataset, JDBCCategoryDataset, SlidingCategoryDataset, SlidingGanttCategoryDataset, TaskSeriesCollection

    public interface CategoryDataset

extends KeyedValues2D, Dataset

The interface for a dataset with one or more series, and values associated with categories.

The categories are represented by `Comparable` instance, with the category label being provided by the `toString` method.

Method Summary

Methods inherited from interface org.jfree.data.KeyedValues2D
`getColumnIndex, getColumnKey, getColumnKeys, getRowIndex, getRowKey, getRowKeys, getValue`

Methods inherited from interface org.jfree.data.Values2D
`getColumnCount, getRowCount, getValue`

Methods inherited from interface org.jfree.data.general.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`